function plotfloepositions(Rx,Ry,V,r,clim)
% plotfloepositions -- simple function to draw positions of grains,
%                      colored according to the value of the V variable. 
%
% Author: Agnieszka Herman, IOUG (agnieszka.herman@ug.edu.pl)
%
figure; hold on
axis equal; 
set(gca,'CLim',clim);
th = linspace(0,2*pi,100);
xp = repmat(Rx,1,length(th))+ ...
     repmat(r,1,length(th)).*repmat(cos(th),length(r),1);
yp = repmat(Ry,1,length(th))+ ...
    repmat(r,1,length(th)).*repmat(sin(th),length(r),1);
p = patch(xp',yp','r');
set(p,'FaceColor','flat','CData',V,'CDataMapping','scaled');
box
h = colorbar;